datacache <- new.env(hash=TRUE, parent=emptyenv())

hgug4110b <- function() showQCData("hgug4110b", datacache)
hgug4110b_dbconn <- function() dbconn(datacache)
hgug4110b_dbfile <- function() dbfile(datacache)
hgug4110b_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgug4110b_dbInfo <- function() dbInfo(datacache)

hgug4110bORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgug4110b.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgug4110b", "chip hgug4110b", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgug4110b_dbconn())
}

